Kerbal Space Program - Bug #9749

Landing legs explode if touched by Kerbal on EVA (or deploying after touchdown).
05/22/2016 06:05 PM - tater
Description

Easy to replicate. EVA, touch landing leg. Boom. Seems more sensitive on orbit, or low gravity worlds---you can do it at KSC, but you
have to work at it a little.

History

#1 - 05/26/2016 04:58 AM - tater

| cannot figure out how to change the platform, it occurs on all three platforms according to people who have posted replies in threads. It's marked
"low," yet | consider it a showstopper, I've basically stopped playing.

#2 - 06/09/2016 04:46 AM - Galenmacil
tater wrote:

| cannot figure out how to change the platform, it occurs on all three platforms according to people who have posted replies in threads. It's
marked "low," yet | consider it a showstopper, I've basically stopped playing.

Yes. Just like you said: Major problem here. Ruined a long mission due to this today. The whole "new wheel and suspension” system needs to be
fixed! This should be marked as normal or high priority.

#3 - 06/27/2016 05:20 PM - Geschosskopf
Update for 1.1.3....

LT-05 Micro Landing Strut

e Effect on Kerbal touching MAIN part of leg (where it attaches to the ship): Kerbal receives a light slap that pushes him back a few steps but
doesn't knock him down.

e Effect on Leg from Kerbal touching MAIN part of leg: Leg jumps, causing entire lander to jump and sometimes fall over if it's light enough.

o Effect on Kerbal touching LOWER part of leg (the foot part): None.

e Effect on Leg from Kerbal touching the foot part: Leg explodes in a cloud of dust.

LT

1 Landing Strut

¢ Effect on Kerbal touching MAIN part of leg: Kerbal receives a hard slap that can throw him a considerable distance at high speed. Sometimes
Kerbal dies on impact with ground. If not, Kerbal is ragdolled until moved again.

Effect on Leg from Kerbal touching MAIN part: Leg jumps, causing ship to jump and sometimes fall over.

¢ Effect on Kerbal touching FOOT part of leg: None.

Effect on Leg from Kerbal touching FOOT part: Leg explodes in a fireball.

LT-2 Landing Strut

e Effect on Kerbal touching MAIN part of leg: none.

Effect on Leg from Kerbal touching MAIN part: None.

Effect on Kerbal touching FOOT part of leg: Kerbal receives a very powerful blow that sends him flying far at high speed. Kerbal often
spaghettifies and dies either in the air or on impact with the ground. Otherwise Kerbal is ragdolled until moved again.

e Effect on Leg from Kerbal touching FOOT part: Leg jumps a little but no real effect on the ship as a whole.

#4 - 06/27/2016 05:22 PM - Geschosskopf

Also in 1.1.3, the legs are more likely to explode if for some reason the Kerbal touches the foot part when the leg is extended but has no weight on it
(such as the lander lying on its side).
#6 - 10/13/2016 12:59 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

This has been addressed and fixed for KSP 1.2

#7 - 11/06/2016 08:20 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing as this was fixed in 1.2.0
